Bug 100641 - EFFECT_ADD -> EFFECTIVE, EFFECT function
Summary: EFFECT_ADD -> EFFECTIVE, EFFECT function
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-27 11:50 UTC by raal
Modified: 2017-02-08 06:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-06-27 11:50:43 UTC
> in Calc is function EFFECT_ADD converted after save and reopen into function
> EFFECTIVE. But ODF define function with name EFFECT.
> For me it looks like EFFECTIVE should have name EFFECT or function EFFECT
> should be added for compatibility with ODF?

The UI name EFFECTIVE is the same function as EFFECT defined in ODFF or
OOXML, it just has a different name, which IMHO is and was always
wrong/unnecessary.

In fact there's a bug in OOXML import/export where we also write and
expect EFFECTIVE instead of EFFECT. I'll fix that independently for
current releases.
Comment 2 Commit Notification 2016-06-27 12:50:58 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48f018ea9bb94be0d1485fd2a02957bad962976c

tdf#100641 change UI name of EFFECTIVE to EFFECT

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-27 14:04:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d480e5c7f68d61cf51c233f62c07293f212b9f4a

rename *effective to *effect, tdf#100641 related

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-06-27 15:30:20 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2795cb694b6563772e1326b74cfd678ed251681f

add an isPODF() block to ScCompiler::IsOpCode(), tdf#100641 related

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-29 14:41:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c6685a93cc4b82d2a9300f9a4fd64c5c54fb568&h=libreoffice-5-1

tdf#100641 correct OOXML function name is EFFECT instead of EFFECTIVE

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 raal 2016-07-18 20:40:44 UTC
verified.Version: 5.3.0.0.alpha0+
Build ID: a2c557d80ac68c06ea59586245a7431e061938f0
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-07-15_23:35:01